Generated health insights and summaries
Generated health insights and summaries. This operation is part of the draft contract; confirm deployment availability before sending requests.
Path Parameters
- Type:user
Id required
Query Parameters
- Type: integerlimitmin:1max:200
Integer numbers.
- Type: stringcursor
Responses
- application/json
Request Example for get/users/{userId} /insights
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/insights?limit=50' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"nextCursor": null,
"hasMore": true,
"data": [
{
"id": "string",
"type": "trend",
"title": "string",
"body": "string",
"severity": "info",
"metrics": [
"string"
],
"observationIds": [
"string"
],
"createdAt": "2026-11-16T17:41:54.400Z"
}
]
}